<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Garita.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';

if(
    !isset($_POST["p_entrada"])
    || !isset($_POST["p_tipo"])
    || !isset($_POST["p_fecha_inicio"])
    || !isset($_POST["p_fecha_fin"])
    || !isset($_POST["p_caseta"])
    ){
    Funciones::imprimeJSON(200, "error", "Faltan parámetros");
    exit;
}

try{
    $tipo_entrada = $_POST["p_entrada"];
    $tipo = $_POST["p_tipo"];
    $ini = $_POST["p_fecha_inicio"];
    $fin = $_POST["p_fecha_fin"];
    $caseta = $_POST["p_caseta"];

    $objGarita = new Garita();
    $resultado = $objGarita->listadoGaritaPrueba($ini, $fin, $tipo, $caseta, $tipo_entrada);
    Funciones::imprimeJSON(200, "Datos", $resultado);
}catch(Exception $e){
    Funciones::imprimeJSON(200, "error", $e->getMessage());
}

