<?php

require_once __DIR__.'/../util/Funciones.clase.php';
require_once __DIR__.'/../util/definiciones.php';

try {
    $json = '{CODDNI: "' . $_POST["dni"] . '"}';
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, CONSULTA_JNE);
    curl_setopt($ch, CURLOPT_POST, 1);
    curl_setopt($ch, CURLOPT_POSTFIELDS, $json);
    curl_setopt($ch, CURLOPT_HEADER, TRUE);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array("Content-Type: application/json", "RequestVerificationToken: ".TOKEN_JNE));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
    
    $head = curl_exec($ch);
    $codigoHttpd = curl_getinfo($ch, CURLINFO_HTTP_CODE);
    curl_close($ch);

    $porciones = explode("GMT",$head);
    $ultimo_elemento = count($porciones) - 1;
    $respuesta = json_decode($porciones[$ultimo_elemento], TRUE);

    if(isset($respuesta["data"])){
        $respuesta = explode("|", $respuesta["data"]);
        $nombre_completo["paterno"] = $respuesta[0];
        $nombre_completo["materno"] = $respuesta[1];
        $nombre_completo["nombre"] = $respuesta[2];
        Funciones::imprimeJSON(200, "", $nombre_completo);
    }else{
        Funciones::imprimeJSON(500, "DNI no encontrado", "");
    }
} catch (Exception $e) {
    Funciones::imprimeJSON(500, $e->getMessage(), "");
}