<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Proveedor.empresa.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';

if(!isset($_POST["codigo_empresa"]) ){
    Funciones::imprimeJSON(200, "error", "Faltan parámetros");
    exit;
}

try{
    $codigo_empresa = $_POST["codigo_empresa"];
    $obj = new ProveedorEmpresa();
    $resultado = $obj->obtenerProveedorEmpresa($codigo_empresa);
    Funciones::imprimeJSON(200, "Proveedores por empresa", $resultado);
}catch(Exception $e){
    Funciones::imprimeJSON(200, "error", $e->getMessage());
}